"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.checkPermissionForExternalStorage = checkPermissionForExternalStorage;
exports.requestPermissionToManageAllFiles = requestPermissionToManageAllFiles;
exports.requestPermissionToManageAppAllFiles = requestPermissionToManageAppAllFiles;
exports.sendIntent = sendIntent;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-send-intents' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go. This is plain old React Native\n';
const SendIntents = _reactNative.NativeModules.SendIntents ? _reactNative.NativeModules.SendIntents : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function checkPermissionForExternalStorage() {
  return SendIntents.checkPermissionForExternalStorage();
}
function requestPermissionToManageAppAllFiles(packageName) {
  return SendIntents.requestPermissionToManageAppAllFiles(packageName);
}
function requestPermissionToManageAllFiles(packageName) {
  return SendIntents.requestPermissionToManageAllFiles(packageName);
}
function sendIntent(action, uriString, categories, data, activityCode) {
  return SendIntents.sendIntent(action, uriString, categories, data, activityCode);
}
//# sourceMappingURL=index.js.map